# eoOneMaxEvalFunc< EOT > Class Template Reference

Always write a comment in this format before class definition if you want the class to be documented by Doxygen. More...

`#include <eoOneMaxEvalFunc.h>`

Inheritance diagram for eoOneMaxEvalFunc< EOT >:

List of all members.

## Public Member Functions

| eoOneMaxEvalFunc ()
| Ctor - no requirement.
void | operator() (EOT &_eo)
| Actually compute the fitness.

## Detailed Description

### template<class EOT>
class eoOneMaxEvalFunc< EOT >

Always write a comment in this format before class definition if you want the class to be documented by Doxygen.

Definition at line 26 of file eoOneMaxEvalFunc.h.

## Member Function Documentation

template<class EOT>
void eoOneMaxEvalFunc< EOT >::operator() | ( | EOT & | _eo | ) | `[inline, virtual]`

Actually compute the fitness.

Parameters:

  | EOT | & _eo the EO object to evaluate it should stay templatized to be usable with any fitness type

Implements eoUF< EOT &, void >.

Definition at line 45 of file eoOneMaxEvalFunc.h.

References EO< F >::fitness(), and EO< F >::invalid().

The documentation for this class was generated from the following file:

- eoOneMaxEvalFunc.h